Bug 1306149 - CVE-2016-2317 CVE-2016-2318 GraphicsMagick: SVG parsing issues [fedora-all]
CVE-2016-2317 CVE-2016-2318 GraphicsMagick: SVG parsing issues [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: GraphicsMagick (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2016-2317/CVE-2016-2318
  Show dependency treegraph
 
Reported: 2016-02-10 03:06 EST by Martin Prpič
Modified: 2016-06-19 03:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: GraphicsMagick-1.3.24-1.fc24 GraphicsMagick-1.3.24-1.fc22 GraphicsMagick-1.3.24-1.fc23
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-18 14:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-02-10 03:06:17 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Martin Prpič 2016-02-10 03:06:24 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1306148,1306149

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2016-05-31 08:48:32 EDT
GraphicsMagick-1.3.24-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d90ead5d7
Comment 3 Fedora Update System 2016-05-31 08:50:46 EDT
GraphicsMagick-1.3.24-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a878ed298
Comment 4 Fedora Update System 2016-05-31 08:51:59 EDT
GraphicsMagick-1.3.24-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-804b7430fd
Comment 5 Fedora Update System 2016-05-31 08:52:26 EDT
GraphicsMagick-1.3.24-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c5dae2a582
Comment 6 Fedora Update System 2016-05-31 09:29:05 EDT
GraphicsMagick-1.3.24-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40ccaff4d1
Comment 7 Fedora Update System 2016-06-01 04:29:17 EDT
GraphicsMagick-1.3.24-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d90ead5d7
Comment 8 Fedora Update System 2016-06-01 11:22:48 EDT
GraphicsMagick-1.3.24-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40ccaff4d1
Comment 9 Fedora Update System 2016-06-01 12:23:46 EDT
GraphicsMagick-1.3.24-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a878ed298
Comment 10 Fedora Update System 2016-06-18 14:53:31 EDT
GraphicsMagick-1.3.24-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-06-19 03:19:19 EDT
GraphicsMagick-1.3.24-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-06-19 03:26:43 EDT
GraphicsMagick-1.3.24-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.